<?php

namespace XF2SEO\SEOPackage\XF\Pub\Controller;

use XF2SEO\SEOPackage\ControllerPlugin\Metadata;

class Forum extends XFCP_Forum
{
    /**
     * @param \XF\Service\Thread\Creator $creator
     * @return void
     */
    protected function finalizeThreadCreate(\XF\Service\Thread\Creator $creator)
    {
        parent::finalizeThreadCreate($creator);

        /** @var \XF2SEO\SEOPackage\XF\Entity\Thread $thread */
        $thread = $creator->getThread();
        if ($thread->canSEOPackageEdit()) {
            /** @var Metadata $metadataPlugin */
            $metadataPlugin = $this->plugin('XF2SEO\SEOPackage:Metadata');
            $metadataPlugin->saveMetadata($thread, $this->filter(Metadata::INPUT_PREFIX_METADATA, 'array'));
        }
    }
}
